LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::WeakImplHelper2< Ifc1, Ifc2 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject). More...

`#include <implbase2.hxx>`

Inheritance diagram for cppu::WeakImplHelper2< Ifc1, Ifc2 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
| Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface. More...
virtual void | acquire () SAL_OVERRIDE throw ()
| increasing m_refCount More...
virtual void | release () SAL_OVERRIDE throw ()
| decreasing m_refCount More...
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject ()
| Default Constructor. More...
| OWeakObject (const OWeakObject &)
| Dummy copy constructor. More...
OWeakObject & | operator= (const OWeakObject &)
| Dummy assignment operator. More...
virtual css::uno::Reference< css::uno::XAdapter > | queryAdapter () SAL_OVERRIDE
| XWeak::queryAdapter() implementation. More...
| operator css::uno::Reference< css::uno::XInterface > ()
| Cast operator to XInterface reference. More...

## Additional Inherited Members
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject () COVERITY_NOEXCEPT_FALSE
| Virtual dtor. More...
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint More...
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count. More...

## Detailed Description

### template<class Ifc1, class Ifc2>
class cppu::WeakImplHelper2< Ifc1, Ifc2 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject).

Derive: \n
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 , class Ifc2 >

virtual void cppu::WeakImplHelper2< Ifc1, Ifc2 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

increasing m_refCount

Reimplemented from cppu::OWeakObject.

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Sequence< sal_Int8 > cppu::WeakImplHelper2< Ifc1, Ifc2 >::getImplementationId | ( |  | ) |
| inline virtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Sequence< css::uno::Type > cppu::WeakImplHelper2< Ifc1, Ifc2 >::getTypes | ( |  | ) |
| inline virtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 >

virtual css::uno::Any cppu::WeakImplHelper2< Ifc1, Ifc2 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inline virtual

Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface.

Parameters

  rType | demanded type

Returns
  demanded type or empty any

Reimplemented from cppu::OWeakObject.

## ◆ release()

template<class Ifc1 , class Ifc2 >

virtual void cppu::WeakImplHelper2< Ifc1, Ifc2 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

decreasing m_refCount

Reimplemented from cppu::OWeakObject.

The documentation for this class was generated from the following file:

- cppuhelper/implbase2.hxx